Organizations
GET /api/v1/organizations
Get Organizations
getOrganizations returns all organizations the user is a member of
Response
Type: []Organization
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
slug | string | URL-friendly identifier |
settings | datatypes.JSON | SSO config, billing, defaults |
plan | string | “free”, “pro”, “enterprise” |
has_logo | bool | |
logo | string | |
disabled | bool | |
member_count | int64 | Computed (not stored in DB) |
project_count | int64 | |
members | []OrgMember | Relationships (not loaded by default) (optional) |
teams | []Team | (optional) |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/organizationsPOST /api/v1/organizations
Create Organization
postOrganization creates a new organization
Request Body
Type: CreateOrganizationRequest
| Field | Type | Description |
|---|---|---|
name | string | |
slug | string | |
description | string |
Response
Type: Organization
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
slug | string | URL-friendly identifier |
settings | datatypes.JSON | SSO config, billing, defaults |
plan | string | “free”, “pro”, “enterprise” |
has_logo | bool | |
logo | string | |
disabled | bool | |
member_count | int64 | Computed (not stored in DB) |
project_count | int64 | |
members | []OrgMember | Relationships (not loaded by default) (optional) |
teams | []Team | (optional) |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/organizationsGET /api/v1/organizations/{id}
Get Organization
getOrganization returns a specific organization
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: Organization
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
slug | string | URL-friendly identifier |
settings | datatypes.JSON | SSO config, billing, defaults |
plan | string | “free”, “pro”, “enterprise” |
has_logo | bool | |
logo | string | |
disabled | bool | |
member_count | int64 | Computed (not stored in DB) |
project_count | int64 | |
members | []OrgMember | Relationships (not loaded by default) (optional) |
teams | []Team | (optional) |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/organizations/{id}PUT /api/v1/organizations/{id}
Update Organization
putOrganization updates an organization
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Request Body
Type: Organization
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
slug | string | URL-friendly identifier |
settings | datatypes.JSON | SSO config, billing, defaults |
plan | string | “free”, “pro”, “enterprise” |
has_logo | bool | |
logo | string | |
disabled | bool | |
member_count | int64 | Computed (not stored in DB) |
project_count | int64 | |
members | []OrgMember | Relationships (not loaded by default) (optional) |
teams | []Team | (optional) |
Response
Type: Organization
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
slug | string | URL-friendly identifier |
settings | datatypes.JSON | SSO config, billing, defaults |
plan | string | “free”, “pro”, “enterprise” |
has_logo | bool | |
logo | string | |
disabled | bool | |
member_count | int64 | Computed (not stored in DB) |
project_count | int64 | |
members | []OrgMember | Relationships (not loaded by default) (optional) |
teams | []Team | (optional) |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/organizations/{id}DELETE /api/v1/organizations/{id}
Delete Organization
deleteOrganization deletes an organization
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/organizations/{id}GET /api/v1/organizations/{id}/logo
Get Organization Logo
getOrganizationLogo serves the logo for an organization
Logos are publicly accessible (no auth required) to allow browser tags to load them
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/organizations/{id}/logoPOST /api/v1/organizations/{id}/logo
Create Organization Logo
uploadOrganizationLogo uploads a logo for an organization
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: Organization
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
slug | string | URL-friendly identifier |
settings | datatypes.JSON | SSO config, billing, defaults |
plan | string | “free”, “pro”, “enterprise” |
has_logo | bool | |
logo | string | |
disabled | bool | |
member_count | int64 | Computed (not stored in DB) |
project_count | int64 | |
members | []OrgMember | Relationships (not loaded by default) (optional) |
teams | []Team | (optional) |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/organizations/{id}/logoDELETE /api/v1/organizations/{id}/logo
Delete Organization Logo
deleteOrganizationLogo deletes the logo for an organization
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/organizations/{id}/logo